# Spatial API

## GET /locations

> Retrieve a list of locations or a specific location by ID.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"LocationApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"location_id":{"type":"string"},"name":{"type":"string"},"details":{"type":"object","additionalProperties":true},"country":{"type":"object","additionalProperties":true},"address":{"type":"object","additionalProperties":true},"coords":{"type":"object","additionalProperties":true},"settings":{"type":"object","additionalProperties":true},"override_settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true},"Pagination":{"type":"object","properties":{"current_results":{"type":"object","properties":{"from":{"type":"integer"},"to":{"type":"integer"}},"required":["from","to"]},"total_results":{"type":"integer"}},"required":["current_results","total_results"]}}},"paths":{"/locations":{"get":{"operationId":"getLocations","description":"Retrieve a list of locations or a specific location by ID.","parameters":[{"name":"location_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"external_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":25}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"order","in":"query","required":false,"schema":{"type":"string","enum":["asc","desc"],"default":"asc"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"object","properties":{"locations":{"type":"array","items":{"$ref":"#/components/schemas/LocationApiDTO"}}}},"pagination":{"$ref":"#/components/schemas/Pagination"},"identifier":{"type":"string"}},"required":["success","data","pagination","identifier"]}}}}}}}}}
```

## POST /locations

> Create locations.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"LocationApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"location_id":{"type":"string"},"name":{"type":"string"},"details":{"type":"object","additionalProperties":true},"country":{"type":"object","additionalProperties":true},"address":{"type":"object","additionalProperties":true},"coords":{"type":"object","additionalProperties":true},"settings":{"type":"object","additionalProperties":true},"override_settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/locations":{"post":{"operationId":"postLocations","description":"Create locations.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["locations"],"properties":{"locations":{"type":"array","minItems":1,"items":{"type":"object","required":["name","country","address","coords"],"properties":{"name":{"type":"string"},"country":{"type":"object","additionalProperties":true},"address":{"type":"object","additionalProperties":true},"coords":{"type":"object","additionalProperties":true},"external_id":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"override_settings":{"type":"object","additionalProperties":true},"starts_at":{"type":"string","format":"date-time"},"ends_at":{"type":"string","format":"date-time"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/LocationApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## PUT /locations

> Update locations.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"LocationApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"location_id":{"type":"string"},"name":{"type":"string"},"details":{"type":"object","additionalProperties":true},"country":{"type":"object","additionalProperties":true},"address":{"type":"object","additionalProperties":true},"coords":{"type":"object","additionalProperties":true},"settings":{"type":"object","additionalProperties":true},"override_settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/locations":{"put":{"operationId":"putLocations","description":"Update locations.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["locations"],"properties":{"locations":{"type":"array","minItems":1,"items":{"type":"object","required":["location_id"],"properties":{"location_id":{"type":"string"},"name":{"type":"string"},"country":{"type":"object","additionalProperties":true},"address":{"type":"object","additionalProperties":true},"coords":{"type":"object","additionalProperties":true},"external_id":{"type":"string"},"settings":{"type":"object","additionalProperties":true}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/LocationApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## DELETE /locations

> Delete locations.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/locations":{"delete":{"operationId":"deleteLocations","description":"Delete locations.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["locations"],"properties":{"locations":{"type":"array","minItems":1,"items":{"type":"object","required":["location_id"],"properties":{"location_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"type":"object","properties":{"location_id":{"type":"string"}}}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## GET /layers

> Retrieve layers with optional filters.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"LayerApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"layer_id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"location_id":{"type":"string"},"location_name":{"type":"string"},"floor_plan_entities":{"type":"array","items":{}},"settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true},"Pagination":{"type":"object","properties":{"current_results":{"type":"object","properties":{"from":{"type":"integer"},"to":{"type":"integer"}},"required":["from","to"]},"total_results":{"type":"integer"}},"required":["current_results","total_results"]}}},"paths":{"/layers":{"get":{"operationId":"getLayers","description":"Retrieve layers with optional filters.","parameters":[{"name":"location_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"layer_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"external_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"geojson","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"imdf","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":25}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"order","in":"query","required":false,"schema":{"type":"string","enum":["asc","desc"],"default":"asc"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"object","properties":{"layers":{"type":"array","items":{"$ref":"#/components/schemas/LayerApiDTO"}}}},"pagination":{"$ref":"#/components/schemas/Pagination"},"identifier":{"type":"string"}},"required":["success","data","pagination","identifier"]}}}}}}}}}
```

## POST /layers

> Create layers.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"LayerApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"layer_id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"location_id":{"type":"string"},"location_name":{"type":"string"},"floor_plan_entities":{"type":"array","items":{}},"settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/layers":{"post":{"operationId":"postLayers","description":"Create layers.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["layers"],"properties":{"layers":{"type":"array","minItems":1,"items":{"type":"object","required":["name","location_id","location_name","type"],"properties":{"name":{"type":"string"},"location_id":{"type":"string"},"location_name":{"type":"string"},"type":{"type":"string"},"floor_plan_entities":{"type":"array","items":{}},"settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/LayerApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## PUT /layers

> Update layers.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"LayerApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"layer_id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"location_id":{"type":"string"},"location_name":{"type":"string"},"floor_plan_entities":{"type":"array","items":{}},"settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/layers":{"put":{"operationId":"putLayers","description":"Update layers.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["layers"],"properties":{"layers":{"type":"array","minItems":1,"items":{"type":"object","required":["layer_id"],"properties":{"layer_id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"floor_plan_entities":{"type":"array","items":{}},"external_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/LayerApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## DELETE /layers

> Delete layers.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/layers":{"delete":{"operationId":"deleteLayers","description":"Delete layers.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["layers"],"properties":{"layers":{"type":"array","minItems":1,"items":{"type":"object","required":["layer_id"],"properties":{"layer_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"type":"object","properties":{"layer_id":{"type":"string"}}}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## GET /spaces

> Retrieve spaces with optional filters.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"SpaceApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"space_id":{"type":"string"},"name":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"position":{"type":"object","additionalProperties":true},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true},"Pagination":{"type":"object","properties":{"current_results":{"type":"object","properties":{"from":{"type":"integer"},"to":{"type":"integer"}},"required":["from","to"]},"total_results":{"type":"integer"}},"required":["current_results","total_results"]}}},"paths":{"/spaces":{"get":{"operationId":"getSpaces","description":"Retrieve spaces with optional filters.","parameters":[{"name":"location_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"layer_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"space_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"external_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"geojson","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"imdf","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":25}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"order","in":"query","required":false,"schema":{"type":"string","enum":["asc","desc"],"default":"asc"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"object","properties":{"spaces":{"type":"array","items":{"$ref":"#/components/schemas/SpaceApiDTO"}}}},"pagination":{"$ref":"#/components/schemas/Pagination"},"identifier":{"type":"string"}},"required":["success","data","pagination","identifier"]}}}}}}}}}
```

## POST /spaces

> Create spaces.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"SpaceApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"space_id":{"type":"string"},"name":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"position":{"type":"object","additionalProperties":true},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/spaces":{"post":{"operationId":"postSpaces","description":"Create spaces.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["spaces"],"properties":{"spaces":{"type":"array","minItems":1,"items":{"type":"object","required":["location_id","location_name","layer_id","layer_name","position","settings"],"properties":{"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"position":{"type":"object","additionalProperties":true},"settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SpaceApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## PUT /spaces

> Update spaces.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"SpaceApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"space_id":{"type":"string"},"name":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"position":{"type":"object","additionalProperties":true},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/spaces":{"put":{"operationId":"putSpaces","description":"Update spaces.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["spaces"],"properties":{"spaces":{"type":"array","minItems":1,"items":{"type":"object","required":["space_id"],"properties":{"space_id":{"type":"string"},"name":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"position":{"type":"object","additionalProperties":true},"external_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SpaceApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## DELETE /spaces

> Delete spaces.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/spaces":{"delete":{"operationId":"deleteSpaces","description":"Delete spaces.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["spaces"],"properties":{"spaces":{"type":"array","minItems":1,"items":{"type":"object","required":["space_id"],"properties":{"space_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"type":"object","properties":{"space_id":{"type":"string"}}}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## GET /rooms

> Retrieve rooms with optional filters.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"RoomApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"room_id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"geometry":{"type":"object","additionalProperties":true},"spaces":{"type":"array","items":{}},"amenities":{"type":"object","additionalProperties":true},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true},"Pagination":{"type":"object","properties":{"current_results":{"type":"object","properties":{"from":{"type":"integer"},"to":{"type":"integer"}},"required":["from","to"]},"total_results":{"type":"integer"}},"required":["current_results","total_results"]}}},"paths":{"/rooms":{"get":{"operationId":"getRooms","description":"Retrieve rooms with optional filters.","parameters":[{"name":"location_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"layer_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"room_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"external_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"geojson","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"imdf","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":25}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"order","in":"query","required":false,"schema":{"type":"string","enum":["asc","desc"],"default":"asc"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"object","properties":{"rooms":{"type":"array","items":{"$ref":"#/components/schemas/RoomApiDTO"}}}},"pagination":{"$ref":"#/components/schemas/Pagination"},"identifier":{"type":"string"}},"required":["success","data","pagination","identifier"]}}}}}}}}}
```

## POST /rooms

> Create rooms.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"RoomApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"room_id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"geometry":{"type":"object","additionalProperties":true},"spaces":{"type":"array","items":{}},"amenities":{"type":"object","additionalProperties":true},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/rooms":{"post":{"operationId":"postRooms","description":"Create rooms.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["rooms"],"properties":{"rooms":{"type":"array","minItems":1,"items":{"type":"object","required":["name","type","layer_id","layer_name","location_id","location_name","spaces"],"properties":{"name":{"type":"string"},"type":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"location_id":{"type":"string"},"location_name":{"type":"string"},"spaces":{"type":"array","items":{}},"settings":{"type":"object","additionalProperties":true},"amenities":{"type":"object","additionalProperties":true},"geometry":{"type":"object","additionalProperties":true},"external_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/RoomApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## PUT /rooms

> Update rooms.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"RoomApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"room_id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"geometry":{"type":"object","additionalProperties":true},"spaces":{"type":"array","items":{}},"amenities":{"type":"object","additionalProperties":true},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/rooms":{"put":{"operationId":"putRooms","description":"Update rooms.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["rooms"],"properties":{"rooms":{"type":"array","minItems":1,"items":{"type":"object","required":["room_id"],"properties":{"room_id":{"type":"string"},"spaces":{"type":"array","items":{}},"amenities":{"type":"object","additionalProperties":true},"settings":{"type":"object","additionalProperties":true},"type":{"type":"string"},"name":{"type":"string"},"geometry":{"type":"object","additionalProperties":true},"external_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/RoomApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## DELETE /rooms

> Delete rooms.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/rooms":{"delete":{"operationId":"deleteRooms","description":"Delete rooms.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["rooms"],"properties":{"rooms":{"type":"array","minItems":1,"items":{"type":"object","required":["room_id"],"properties":{"room_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"type":"object","properties":{"room_id":{"type":"string"}}}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## GET /zones

> Retrieve zones with optional filters.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"ZoneApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"zone_id":{"type":"string"},"name":{"type":"string"},"spaces":{"type":"array","items":{}},"settings":{"type":"object","additionalProperties":true},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true},"Pagination":{"type":"object","properties":{"current_results":{"type":"object","properties":{"from":{"type":"integer"},"to":{"type":"integer"}},"required":["from","to"]},"total_results":{"type":"integer"}},"required":["current_results","total_results"]}}},"paths":{"/zones":{"get":{"operationId":"getZones","description":"Retrieve zones with optional filters.","parameters":[{"name":"location_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"layer_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"zone_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"external_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"geojson","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"imdf","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":25}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"order","in":"query","required":false,"schema":{"type":"string","enum":["asc","desc"],"default":"asc"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"object","properties":{"zones":{"type":"array","items":{"$ref":"#/components/schemas/ZoneApiDTO"}}}},"pagination":{"$ref":"#/components/schemas/Pagination"},"identifier":{"type":"string"}},"required":["success","data","pagination","identifier"]}}}}}}}}}
```

## POST /zones

> Create zones.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"ZoneApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"zone_id":{"type":"string"},"name":{"type":"string"},"spaces":{"type":"array","items":{}},"settings":{"type":"object","additionalProperties":true},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/zones":{"post":{"operationId":"postZones","description":"Create zones.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["zones"],"properties":{"zones":{"type":"array","minItems":1,"items":{"type":"object","required":["name","spaces","location_id","location_name","layer_id","layer_name"],"properties":{"name":{"type":"string"},"spaces":{"type":"array","items":{}},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ZoneApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## PUT /zones

> Update zones.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"ZoneApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"zone_id":{"type":"string"},"name":{"type":"string"},"spaces":{"type":"array","items":{}},"settings":{"type":"object","additionalProperties":true},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/zones":{"put":{"operationId":"putZones","description":"Update zones.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["zones"],"properties":{"zones":{"type":"array","minItems":1,"items":{"type":"object","required":["zone_id"],"properties":{"zone_id":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"name":{"type":"string"},"spaces":{"type":"array","items":{}},"external_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ZoneApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## DELETE /zones

> Delete zones.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/zones":{"delete":{"operationId":"deleteZones","description":"Delete zones.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["zones"],"properties":{"zones":{"type":"array","minItems":1,"items":{"type":"object","required":["zone_id"],"properties":{"zone_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"type":"object","properties":{"zone_id":{"type":"string"}}}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## GET /clusters

> Retrieve clusters with optional filters.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"ClusterApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"cluster_id":{"type":"string"},"spaces":{"type":"array","items":{}},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true},"Pagination":{"type":"object","properties":{"current_results":{"type":"object","properties":{"from":{"type":"integer"},"to":{"type":"integer"}},"required":["from","to"]},"total_results":{"type":"integer"}},"required":["current_results","total_results"]}}},"paths":{"/clusters":{"get":{"operationId":"getClusters","description":"Retrieve clusters with optional filters.","parameters":[{"name":"location_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"layer_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"cluster_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"external_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"geojson","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"imdf","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":25}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"order","in":"query","required":false,"schema":{"type":"string","enum":["asc","desc"],"default":"asc"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"object","properties":{"clusters":{"type":"array","items":{"$ref":"#/components/schemas/ClusterApiDTO"}}}},"pagination":{"$ref":"#/components/schemas/Pagination"},"identifier":{"type":"string"}},"required":["success","data","pagination","identifier"]}}}}}}}}}
```

## POST /clusters

> Create clusters.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"ClusterApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"cluster_id":{"type":"string"},"spaces":{"type":"array","items":{}},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/clusters":{"post":{"operationId":"postClusters","description":"Create clusters.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["clusters"],"properties":{"clusters":{"type":"array","minItems":1,"items":{"type":"object","required":["location_id","location_name","layer_id","layer_name","spaces"],"properties":{"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"spaces":{"type":"array","items":{}},"settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ClusterApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## PUT /clusters

> Update clusters.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"ClusterApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"cluster_id":{"type":"string"},"spaces":{"type":"array","items":{}},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/clusters":{"put":{"operationId":"putClusters","description":"Update clusters.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["clusters"],"properties":{"clusters":{"type":"array","minItems":1,"items":{"type":"object","required":["cluster_id"],"properties":{"cluster_id":{"type":"string"},"spaces":{"type":"array","items":{}},"settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ClusterApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## DELETE /clusters

> Delete clusters.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/clusters":{"delete":{"operationId":"deleteClusters","description":"Delete clusters.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["clusters"],"properties":{"clusters":{"type":"array","minItems":1,"items":{"type":"object","required":["cluster_id"],"properties":{"cluster_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"type":"object","properties":{"cluster_id":{"type":"string"}}}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## GET /areas

> Retrieve areas with optional filters.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"AreaApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"area_id":{"type":"string"},"geometry":{"type":"object","additionalProperties":true},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true},"Pagination":{"type":"object","properties":{"current_results":{"type":"object","properties":{"from":{"type":"integer"},"to":{"type":"integer"}},"required":["from","to"]},"total_results":{"type":"integer"}},"required":["current_results","total_results"]}}},"paths":{"/areas":{"get":{"operationId":"getAreas","description":"Retrieve areas with optional filters.","parameters":[{"name":"location_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"layer_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"area_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"external_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"geojson","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"imdf","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":25}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"order","in":"query","required":false,"schema":{"type":"string","enum":["asc","desc"],"default":"asc"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"object","properties":{"areas":{"type":"array","items":{"$ref":"#/components/schemas/AreaApiDTO"}}}},"pagination":{"$ref":"#/components/schemas/Pagination"},"identifier":{"type":"string"}},"required":["success","data","pagination","identifier"]}}}}}}}}}
```

## POST /areas

> Create areas.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"AreaApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"area_id":{"type":"string"},"geometry":{"type":"object","additionalProperties":true},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/areas":{"post":{"operationId":"postAreas","description":"Create areas.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["areas"],"properties":{"areas":{"type":"array","minItems":1,"items":{"type":"object","required":["geometry","location_id","location_name","layer_id","layer_name"],"properties":{"geometry":{"type":"object","additionalProperties":true},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AreaApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## PUT /areas

> Update areas.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"AreaApiDTO":{"type":"object","properties":{"_id":{"type":"string"},"area_id":{"type":"string"},"geometry":{"type":"object","additionalProperties":true},"location_id":{"type":"string"},"location_name":{"type":"string"},"layer_id":{"type":"string"},"layer_name":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"additionalProperties":true}}},"paths":{"/areas":{"put":{"operationId":"putAreas","description":"Update areas.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["areas"],"properties":{"areas":{"type":"array","minItems":1,"items":{"type":"object","required":["area_id"],"properties":{"area_id":{"type":"string"},"geometry":{"type":"object","additionalProperties":true},"settings":{"type":"object","additionalProperties":true},"external_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AreaApiDTO"}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```

## DELETE /areas

> Delete areas.

```json
{"openapi":"3.0.3","info":{"title":"Spatial API","version":"2.0"},"servers":[{"url":"https://api.gospace.app/spatial/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/areas":{"delete":{"operationId":"deleteAreas","description":"Delete areas.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["areas"],"properties":{"areas":{"type":"array","minItems":1,"items":{"type":"object","required":["area_id"],"properties":{"area_id":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"type":"object","properties":{"area_id":{"type":"string"}}}},"identifier":{"type":"string"}},"required":["success","data","identifier"]}}}}}}}}}
```
